# rust-system-deps.spec
# Generated by rust2rpm 20
%bcond_with check
%global debug_package %{nil}

%global crate system-deps

Name:           rust-%{crate}-1
Version:        1.3.2
Release:        1%{?dist}.2
Summary:        Discover and configure system dependencies from declarative dependencies in Cargo.toml

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/system-deps
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  cargo-rpm-macros
BuildRequires:  (crate(heck/default) >= 0.3.0 with crate(heck/default) < 0.4.0~)
BuildRequires:  (crate(pkg-config/default) >= 0.3.8 with crate(pkg-config/default) < 0.4.0~)
BuildRequires:  (crate(strum/default) >= 0.18.0 with crate(strum/default) < 0.19.0~)
BuildRequires:  (crate(strum_macros/default) >= 0.18.0 with crate(strum_macros/default) < 0.19.0~)
BuildRequires:  (crate(thiserror/default) >= 1.0.0 with crate(thiserror/default) < 2.0.0~)
BuildRequires:  (crate(toml) >= 0.5.0 with crate(toml) < 0.6.0~)
BuildRequires:  (crate(version-compare/default) >= 0.0.10 with crate(version-compare/default) < 0.0.11~)
%if %{with check}
BuildRequires:  (crate(itertools/default) >= 0.9.0 with crate(itertools/default) < 0.10.0~)
BuildRequires:  (crate(lazy_static/default) >= 1.0.0 with crate(lazy_static/default) < 2.0.0~)
%endif

%global _description %{expand:
Discover and configure system dependencies from declarative dependencies in
Cargo.toml.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Feb  8 2022 Oleg Girko <ol@infoserver.lv> - 1.3.2-1
- Initial package
